Beginning work on keepalive script
authorAdam Dickmeiss <adam@indexdata.dk>
Fri, 24 Oct 2003 10:33:01 +0000 (10:33 +0000)
committerAdam Dickmeiss <adam@indexdata.dk>
Fri, 24 Oct 2003 10:33:01 +0000 (10:33 +0000)
etc/Makefile.am
etc/yaz-proxy-ka.sh [new file with mode: 0755]
etc/yaz-proxy.sh

index 20c9eb3..95f3bd7 100644 (file)
@@ -1,4 +1,4 @@
 
-EXTRA_DIST = config.xml voyager.xml yaz-proxy.sh
+EXTRA_DIST = config.xml voyager.xml yaz-proxy.sh yaz-proxy-ka.sh
 
 noinst_SCRIPTS = yaz-proxy.sh
diff --git a/etc/yaz-proxy-ka.sh b/etc/yaz-proxy-ka.sh
new file mode 100755 (executable)
index 0000000..551eca7
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/sh
+# $Id: yaz-proxy-ka.sh,v 1.1 2003-10-24 10:33:01 adam Exp $
+i=1
+while test $i -lt 20; do
+       $*
+       test $? && exit 0
+       if test -f core; then
+               mv -f core core.`date +%Y%m%d%k%M`
+       fi
+       sleep 1
+       i=`expr $i + 1`
+done   
index 757e240..b794d06 100755 (executable)
@@ -1,13 +1,6 @@
 #!/bin/sh
-#
-# skeleton     example file to build /etc/init.d/ scripts.
-#              This file should be used to construct scripts for /etc/init.d.
-#
-#              Written by Miquel van Smoorenburg <miquels@cistron.nl>.
-#              Modified for Debian GNU/Linux
-#              by Ian Murdock <imurdock@gnu.ai.mit.edu>.
-#
-# Version:     @(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
+# $Id: yaz-proxy.sh,v 1.2 2003-10-24 10:33:01 adam Exp $
+# YAZ proxy start/stop init.d script.
 #
 PATH=/usr/local/bin:/bin:/usr/bin
 export PATH